### Hierarchy

- AsyncResource
  - PerformanceObserver

## Index

### Constructors

- constructor

### Methods

- asyncId
- disconnect
- emitAfter
- emitBefore
- emitDestroy
- observe
- runInAsyncScope
- triggerAsyncId

## Constructors

### constructor

- new PerformanceObserver(callback: PerformanceObserverCallback): PerformanceObserver

- Overrides AsyncResource.constructor

  - Defined in node_modules/@types/node/perf_hooks.d.ts:216

  #### Parameters

  - ##### callback: PerformanceObserverCallback

  #### Returns PerformanceObserver

## Methods

### asyncId

- asyncId(): number

- Inherited from AsyncResource.asyncId

  - Defined in node_modules/@types/node/async_hooks.d.ts:137

  #### Returns number

  the unique ID assigned to this AsyncResource instance.

### disconnect

- disconnect(): void

- - Defined in node_modules/@types/node/perf_hooks.d.ts:222

  Disconnects the PerformanceObserver instance from all notifications.

  #### Returns void

### emitAfter

- emitAfter(): void

- Inherited from AsyncResource.emitAfter

  - Defined in node_modules/@types/node/async_hooks.d.ts:114

  Call AsyncHooks after callbacks.

  deprecated

    since 9.6 - Use asyncResource.runInAsyncScope() instead.

  #### Returns void

### emitBefore

- emitBefore(): void

- Inherited from AsyncResource.emitBefore

  - Defined in node_modules/@types/node/async_hooks.d.ts:108

  Call AsyncHooks before callbacks.

  deprecated

    since 9.6 - Use asyncResource.runInAsyncScope() instead.

  #### Returns void

### emitDestroy

- emitDestroy(): void

- Inherited from AsyncResource.emitDestroy

  - Defined in node_modules/@types/node/async_hooks.d.ts:132

  Call AsyncHooks destroy callbacks.

  #### Returns void

### observe

- observe(options: object): void

- - Defined in node_modules/@types/node/perf_hooks.d.ts:230

  Subscribes the PerformanceObserver instance to notifications of new PerformanceEntry instances identified by options.entryTypes. When options.buffered is false, the callback will be invoked once for every PerformanceEntry instance. Property buffered defaults to false.

  #### Parameters

  - ##### options: object

    - ##### Optional buffered?: undefined | false | true

    - ##### entryTypes: string[]

  #### Returns void

### runInAsyncScope

- runInAsyncScope<This, Result>(fn: function, thisArg?: This, ...args: any[]): Result

- Inherited from AsyncResource.runInAsyncScope

  - Defined in node_modules/@types/node/async_hooks.d.ts:127

  Call the provided function with the provided arguments in the execution context of the async resource. This will establish the context, trigger the AsyncHooks before callbacks, call the function, trigger the AsyncHooks after callbacks, and then restore the original execution context.

  #### Type parameters

  - #### This

  - #### Result

  #### Parameters

  - ##### fn: function

    The function to call in the execution context of this async resource.

    - - (this: This, ...args: any[]): Result

      - #### Parameters

        - ##### this: This

        - ##### Rest ...args: any[]

        #### Returns Result

  - ##### Optional thisArg: This

    The receiver to be used for the function call.

  - ##### Rest ...args: any[]

    Optional arguments to pass to the function.

  #### Returns Result

### triggerAsyncId

- triggerAsyncId(): number

- Inherited from AsyncResource.triggerAsyncId

  - Defined in node_modules/@types/node/async_hooks.d.ts:142

  #### Returns number

  the trigger ID for this AsyncResource instance.

Generated using TypeDoc